Subject: Re: bug#21608: 24.5; message-mode sends arbitrarily long headers

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Jan 2017 22:37:23 +0100

David Bremner <[email-masked]> writes:

> 1) run emacs -Q
> 2) M-x message-mail
> 3) insert a long header; "X-Stupid: " followed by the first 900 words in /usr/share/dict/words.
> 4) C-c C-c
> 5) select 'transport'
>
> Now is the tricky part. You need to observe what actually hits the mail
> transport. In my case I use a nullmailer transport with the ability to
> log the complete message. At least for me, the header is unwrapped. This
> causes messages to rejected by MTAs with strict adherence to RFC5322
> section 2.1.1 which states a 998 character absolute limit on line length.

How odd.  I can't find any code that either checks or folds too-long
headers when sending mail.  (There's some when sending news.)  Odd that
nobody has complained about this before...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no